com.holonplatform.vaadin.flow.components.builders

## Interface InputBuilder<T,E extends ValueHolder.ValueChangeEvent<T>,C extends Input<T>,B extends InputBuilder<T,E,C,B>>

- Type Parameters:
    `T` - Value type
    `E` - Value change event type
    `C` - Input type
    `B` - Concrete builder type
  All Superinterfaces:
    ComponentConfigurator<B>, HasElementConfigurator<B>, InputConfigurator<T,E,B>
  All Known Subinterfaces:
    BaseDateInputBuilder<D,B>, BooleanInputBuilder, DateInputBuilder, DateTimeInputBuilder, HasValueInputBuilder<T,H,C>, InputAdapterBuilder<T,V,H,C,B>, InputConverterBuilder<T,V,H,C>, LocalDateInputBuilder, LocalDateTimeInputBuilder, LocalTimeInputBuilder, MultiSelectInputBuilder<T,ITEM,B>, NumberInputBuilder<T>, OptionsModeMultiSelectInputBuilder<T,ITEM,B>, OptionsModeMultiSelectInputBuilder.DatastoreItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.DatastorePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder<T,ITEM,B>, OptionsModeSingleSelectInputBuilder.DatastoreItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.DatastorePropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T>, PasswordInputBuilder, SelectModeSingleSelectInputBuilder<T,ITEM,B>, SelectModeSingleSelectInputBuilder.DatastoreItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.DatastorePropertySelectModeSingleSelectInputBuilder<T>, SelectModeSingleSelectInputBuilder.ItemSelectModeSingleSelectInputBuilder<T,ITEM>, SelectModeSingleSelectInputBuilder.PropertySelectModeSingleSelectInputBuilder<T>, SingleSelectInputBuilder<T,ITEM,B>, StringAreaInputBuilder, StringInputBuilder

      public interface InputBuilder<T,E extends ValueHolder.ValueChangeEvent<T>,C extends Input<T>,B extends InputBuilder<T,E,C,B>>
      extends InputConfigurator<T,E,B>

  Builder to create `Input` instances.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `build()` Build and returns the `Input` instance.
    `ValidatableInputBuilder<T,ValidatableInput<T>>` | `validatable()` Build a `ValidatableInput` component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

- - ### Method Detail

    - #### build

          C build()

      Build and returns the `Input` instance.
      Returns:
        the `Input` instance

    - #### validatable

          ValidatableInputBuilder<T,ValidatableInput<T>> validatable()

      Build a `ValidatableInput` component.
      Returns:
        A `ValidatableInput` builder

Copyright © 2019 The Holon Platform. All rights reserved.